Kerbal Space Program - Bug #22809

Deploy direction of control surfaces is not mirror symmetric when subassembly has radial symmetry
Description

| am trying to build a plane with variable pitch rotor blades, using a rotor with elevons attached with radial symmetry. The secon rotor
is made using mirror symmetry, the blades are in mirrored position. The deploy direction is not mirrored, and there is no option to

separately set the deploy directions.

History

#1 - 06/07/2019 08:26 PM - dvarjas@gmail.com
- File Prop plane.craft added

#2 - 06/07/2019 09:58 PM - dvarjas@gmail.com
- File 20190607235402_1.jpg added
- File 20190607235409_1.jpg added

Also present in stock 1.7.1 on OSX

#3 - 11/07/2019 07:54 PM - victorr
- Status changed from New to Need More Info

- Assignee set to victorr

We've made some changes to the game in the recent updates and would like your feedback on this issue. Thanks.

#4 - 11/07/2019 10:12 PM - dvarjas@gmail.com

The "remove from symmetry" option in the updates was definitely an improvement. But the default behaviour is still asymmetric, which means one has
to remove every rotor blade on one side from the symmetry and switch the deploy direction manually. This behaviour is counterintuitive, and | believe
it is not the intended symmetric behaviour. The new rotor blades (which are great!) also don't behave in a mirror symmetric fashion, for example the

mirror image of a clockwise blade should be counterclockwise.
